diff --git a/main/pbx.c b/main/pbx.c
index 7686b4b..8f5ee64 100644
--- a/main/pbx.c
+++ b/main/pbx.c
@@ -1119,7 +1119,7 @@ static int hintdevice_cmp_multiple(void *obj, void *arg, int flags)
 		right_key = right->hintdevice;
 		/* Fall through */
 	case OBJ_SEARCH_KEY:
-		cmp = strcmp(left->hintdevice, right_key);
+		cmp = strcasecmp(left->hintdevice, right_key);
 		break;
 	case OBJ_SEARCH_PARTIAL_KEY:
 		/*
@@ -1143,7 +1143,7 @@ static int hintdevice_remove_cb(void *obj, void *arg, void *data, int flags)
 	char *device = arg;
 	struct ast_hint *hint = data;
 
-	if (!strcmp(candidate->hintdevice, device)
+	if (!strcasecmp(candidate->hintdevice, device)
 		&& candidate->hint == hint) {
 		return CMP_MATCH;
 	}
